Subject: Re: cygwin-1.1.4: problems with remote commands
From: Ralf Fassel <[email-masked]>
To: Corinna Vinschen <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 9 Aug 2000 11:37:25 +0200 (MDT)

* Corinna Vinschen
| Personally I have only the Cygwin bin path which points to the
| base package (including cygwin1.dll!) in my system environment
| as last entry:
| 
| 	PATH="...:D:\Cygwin\bin"

Same here. You need that for cygwin1.dll, otherwise the services won't
start if cygwin1.dll is not copied to some dir in PATH.

| In my global profiles (bash: /etc/profile, tcsh: /etc/csh.login)
| I set PATH so that it contains all my important bin paths at the
| beginning:
| 
| 	export PATH="/usr/local/bin:/usr/bin:/bin:$PATH"

This is what is in the current cygwin /etc/profile, and works just
fine for real logins, but this file is obviously not read when a
one-time-command is issued by sshd.  Try

   % ssh NT-BOX 'echo $PATH'

You will see the PATH as set up in the system environment, missing the
/usr/local/bin:/usr/bin stuff at the beginning.

I guess this is how it is designed to work, since the
one-time-commands are no login sessions :-/

Regards
R'
-- 
And at the top of the screen I spied the following lines:
    # cd 
    # rm -rf * 
Oh, shit, I thought.

--
Want to unsubscribe from this list?
Send a message to [email-masked]